Bug 208399 - Dangling symlinks in gnome-icon-theme
Dangling symlinks in gnome-icon-theme
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gnome-icon-theme (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-28 08:30 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: beta2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-22 19:28:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2006-09-28 08:30:06 EDT
gnome-icon-theme-2.15.3-1

$ cd /usr/share/icons
$ find -type l -exec file \{\} \; | grep "broken symbolic link"
./Bluecurve/32x32/apps/kfm_home.png: broken symbolic link to `redhat-home.png'
./hicolor/24x24/apps/redhat-starthere.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-starthere.png'
./hicolor/24x24/apps/redhat-system_tools.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-system.png'
./hicolor/24x24/apps/redhat-sound_video.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-multimedia.png'
./hicolor/24x24/apps/battery-discharging-100.png: broken symbolic link to
`../../../../gnome-power-manager/battery-discharging-100.png'
./hicolor/24x24/apps/redhat-graphics.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-graphics.png'
./hicolor/24x24/apps/redhat-internet.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-globe.png'
./hicolor/24x24/apps/redhat-games.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-joystick.png'
./hicolor/24x24/apps/redhat-server_settings.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-server-config.png'
./hicolor/24x24/apps/redhat-programming.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-devel.png'
./hicolor/24x24/apps/redhat-system_settings.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-system-config.png'
./hicolor/24x24/apps/redhat-accessories.png: broken symbolic link to
`../../../gnome/24x24/apps/gnome-util.png'
./hicolor/48x48/apps/redhat-starthere.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-starthere.png'
./hicolor/48x48/apps/redhat-system_tools.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-system.png'
./hicolor/48x48/apps/redhat-sound_video.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-multimedia.png'
./hicolor/48x48/apps/redhat-graphics.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-graphics.png'
./hicolor/48x48/apps/redhat-internet.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-globe.png'
./hicolor/48x48/apps/redhat-games.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-joystick.png'
./hicolor/48x48/apps/redhat-office.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-applications.png'
./hicolor/48x48/apps/redhat-programming.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-devel.png'
./hicolor/48x48/apps/redhat-accessories.png: broken symbolic link to
`../../../gnome/48x48/apps/gnome-util.png'

Plenty of broken links.
Comment 1 Matthias Clasen 2006-10-04 10:30:09 EDT
Still the case with gnome-icon-theme-2.16.1-1.fc6
I think we should evaluate if we can just drop those symlinks.
Comment 2 Matthias Clasen 2006-10-04 12:34:21 EDT
I'm working on this
Comment 3 Matthias Clasen 2006-10-04 14:50:36 EDT
fixed in gnome-icon-theme-2.16.0.1-2.fc6
Comment 4 RHEL Product and Program Management 2006-10-26 15:44:02 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 Zack Cerza 2006-12-05 17:13:09 EST
[root@tallest ~]# cd /usr/share/icons/
[root@tallest icons]# find -type l -exec file \{\} \; | grep "broken symbolic link"
./hicolor/48x48/apps/redhat-home.png: broken symbolic link to
`../../../gnome/48x48/places/user-home.png'
[root@tallest icons]# rpm -qf ./hicolor/48x48/apps/redhat-home.png
gnome-icon-theme-2.16.0.1-3.el5
Comment 7 Matthias Clasen 2006-12-07 11:25:39 EST
Fixed in gnome-icon-theme-2.16.0.1-4.el5
Comment 8 RHEL Product and Program Management 2006-12-22 19:28:30 EST
A package has been built which should help the problem described in 
this bug report. This report is therefore being closed with a resolution 
of CURRENTRELEASE. You may reopen this bug report if the solution does 
not work for you.

Note You need to log in before you can comment on or make changes to this bug.